
#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D u_Texture0;
uniform vec2 u_resolution;

vec4 blur(vec2);

void main(void)
{
	vec4 col = blur(v_texCoord);
	gl_FragColor = vec4(col.rgb,1.0) * v_fragmentColor;
}

vec4 blur(vec2 p)
{
	vec4 col = vec4(0);
	vec2 unit = 1.0 / u_resolution.xy;

	float r = 10.0;
	float count = 0.0;
		
	for(float x = -r; x < r; x += 2.0)
	{
		for(float y = -r; y < r; y += 2.0)
		{
			float weight = (r - abs(x)) * (r - abs(y));
			col += texture2D(u_Texture0, p + vec2(x * unit.x, y * unit.y)) * weight;
			count += weight;
		}
	}
	return col / count;
}
