
#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
varying vec2 v_texCoordMask;

uniform sampler2D u_Texture0;
uniform sampler2D u_Texture1;
uniform sampler2D u_Texture2;
uniform sampler2D u_Texture3;
uniform sampler2D u_Texture4;
uniform sampler2D u_Texture5;

void main()
{
	vec4 mask = texture2D(u_Texture5, v_texCoordMask);
	float alpha = 1.0 - mask.r - mask.g - mask.b - mask.a;

	vec4 col = vec4(0.0,0.0,0.0,0.0);
	if(alpha > 0.0)
		col = texture2D(u_Texture0, v_texCoord)*alpha;
	if(mask.r > 0.0)
		col = col + texture2D(u_Texture1, v_texCoord)*mask.r;
	if(mask.g > 0.0)
		col = col + texture2D(u_Texture2, v_texCoord)*mask.g;
	if(mask.b > 0.0)
		col = col + texture2D(u_Texture3, v_texCoord)*mask.b;
	if(mask.a > 0.0)
		col = col + texture2D(u_Texture4, v_texCoord)*mask.a;

	gl_FragColor = col;
}
